Subject: Re: Recently installed cygwin - cannot install gcc
From: David Ziants <[email-masked]>
To: Warren Young <[email-masked]>
Cc: Cygwin-L <[email-masked]>
Date: Tue, 13 May 2008 17:52:43 +0300
List-Id: <cygwin.cygwin.com>

Thanks for your response.

I did reinstall yet again, and went to a third mirror. A lot more opened 
up than on the initial attempts, and so found what I needed.

Are all the mirrors equal?

David

Warren Young wrote:

> David Ziants wrote:
>> Explicitly tried to install/reinstall the "develop" package where gcc 
>> is supposed to be installable from.
>
> While setup.exe will let you install the entire Devel category, that's 
> probably not what you actually did, nor do you generally want to. 
> There's a whole lot of stuff in that category, most of which you'll 
> probably never need.
>
> What you probably want is to open that section up, then click where it 
> says "Skip" next to every individual package you want that isn't 
> currently installed.  Each time you click, it changes to a different 
> mode for the package; you want to see Keep, a version number, or 
> Reinstall, not Skip or Default.  setup.exe handles dependencies 
> automatically, so a minimal install is to click on gcc-core.  You'll 
> probably need other things as well, such as make, a text editor, 
> additional compilers, etc.
>
> Having to go back through setup.exe several times is normal, by the 
> way.  I rarely get a fresh Cygwin setup right the first time.  As you 
> begin to use it, you'll discover something lacking, and usually it's 
> available in Cygwin but not installed by default.
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/